Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorcletavernie2012-09-17 10:00:02 -0400
committercletavernie2012-09-17 10:00:02 -0400
commita19bae166a1509174dc7f785cd4a78e4334fcd18 (patch)
tree0afa9f7e9993fc22bad86fdfb3b2e9f249079ec6 /plugins/infra
parent673481d897fe781bdaae4ada78d2ef045eb6a3d8 (diff)
downloadorg.eclipse.papyrus-a19bae166a1509174dc7f785cd4a78e4334fcd18.tar.gz
org.eclipse.papyrus-a19bae166a1509174dc7f785cd4a78e4334fcd18.tar.xz
org.eclipse.papyrus-a19bae166a1509174dc7f785cd4a78e4334fcd18.zip
380517: [Papyrus] We should use explicit plug-in dependencies whenever possible
https://bugs.eclipse.org/bugs/show_bug.cgi?id=380517
Diffstat (limited to 'plugins/infra')
-rw-r--r--plugins/infra/gmfdiag/org.eclipse.xtext.gmf.glue/META-INF/MANIFEST.MF3
-rw-r--r--plugins/infra/table/org.eclipse.papyrus.infra.table.common/META-INF/MANIFEST.MF3
-rw-r--r--plugins/infra/table/org.eclipse.papyrus.infra.table.controlmode/META-INF/MANIFEST.MF3
3 files changed, 6 insertions, 3 deletions
diff --git a/plugins/infra/gmfdiag/org.eclipse.xtext.gmf.glue/META-INF/MANIFEST.MF b/plugins/infra/gmfdiag/org.eclipse.xtext.gmf.glue/META-INF/MANIFEST.MF
index d932f1bc42a..a2a36f368f7 100644
--- a/plugins/infra/gmfdiag/org.eclipse.xtext.gmf.glue/META-INF/MANIFEST.MF
+++ b/plugins/infra/gmfdiag/org.eclipse.xtext.gmf.glue/META-INF/MANIFEST.MF
@@ -19,7 +19,8 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.papyrus.infra.core.sasheditor;bundle-version="0.9.0",
org.eclipse.papyrus.editor;bundle-version="0.9.0",
org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
- org.apache.log4j;bundle-version="1.2.15"
+ org.apache.log4j;bundle-version="1.2.15",
+ org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="0.9.0"
Bundle-Vendor: Eclipse Modeling Project
Bundle-ActivationPolicy: lazy
Bundle-Version: 0.9.0.qualifier
diff --git a/plugins/infra/table/org.eclipse.papyrus.infra.table.common/META-INF/MANIFEST.MF b/plugins/infra/table/org.eclipse.papyrus.infra.table.common/META-INF/MANIFEST.MF
index 86fe792defc..1c68b8587b6 100644
--- a/plugins/infra/table/org.eclipse.papyrus.infra.table.common/META-INF/MANIFEST.MF
+++ b/plugins/infra/table/org.eclipse.papyrus.infra.table.common/META-INF/MANIFEST.MF
@@ -24,7 +24,8 @@ Require-Bundle: org.eclipse.emf.facet.widgets.nattable.instance,
org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
org.eclipse.emf.facet.util.emf.core;bundle-version="0.2.0",
org.eclipse.papyrus.infra.core.sasheditor;bundle-version="0.9.0",
- org.eclipse.papyrus.infra.core.log;bundle-version="0.9.0"
+ org.eclipse.papyrus.infra.core.log;bundle-version="0.9.0",
+ org.eclipse.emf.facet.infra.browser.uicore;bundle-version="0.2.0"
Export-Package: org.eclipse.papyrus.infra.table.common,
org.eclipse.papyrus.infra.table.common.dialog,
org.eclipse.papyrus.infra.table.common.editor,
diff --git a/plugins/infra/table/org.eclipse.papyrus.infra.table.controlmode/META-INF/MANIFEST.MF b/plugins/infra/table/org.eclipse.papyrus.infra.table.controlmode/META-INF/MANIFEST.MF
index 894ee7b19a7..da4c8d149e4 100644
--- a/plugins/infra/table/org.eclipse.papyrus.infra.table.controlmode/META-INF/MANIFEST.MF
+++ b/plugins/infra/table/org.eclipse.papyrus.infra.table.controlmode/META-INF/MANIFEST.MF
@@ -15,7 +15,8 @@ Require-Bundle: org.eclipse.core.runtime,
org.eclipse.papyrus.uml.service.types,
org.eclipse.papyrus.infra.table.instance,
org.eclipse.papyrus.views.modelexplorer,
- com.google.guava
+ com.google.guava,
+ org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="0.9.0"
Bundle-ActivationPolicy: lazy
Bundle-RequiredExecutionEnvironment: J2SE-1.5
Bundle-Vendor: %providerName

Back to the top